Last modified: 2014-08-18 15:07:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59194 - Can't import Module:xxx/documentation due to content type mismatch
Can't import Module:xxx/documentation due to content type mismatch
Status: NEW
Product: MediaWiki
Classification: Unclassified
Export/Import (Other open bugs)
1.23.0
All All
: Normal major with 4 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 6808
Blocks: 56295
  Show dependency treegraph
 
Reported: 2014-01-01 23:09 UTC by Jacob
Modified: 2014-08-18 15:07 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot (100.89 KB, image/png)
2014-01-01 23:09 UTC, Jacob
Details

Description Jacob 2014-01-01 23:09:26 UTC
Created attachment 14208 [details]
Screenshot

While attempting to import Module:xxxx/doc, gives following error

Import failed: Can't save non-default content model with $wgContentHandlerUseDB disabled: model is wikitext, default for Module:xxxx/doc is Scribunto. 

This error has been observed on both ml.wikipedia and ml.wiktionary
Comment 1 Jacob 2014-01-01 23:09:50 UTC
Screenshot attached
Comment 2 Andre Klapper 2014-01-02 09:39:26 UTC
Hi, what exactly is the request here? To enable $wgContentHandlerUseDB on ml.wikipedia and ml.wiktionary?

[Moving to "Wikimedia" product as this request is about settings / configuration of the website, not about the codebase of MediaWiki itself.]
Comment 3 Umherirrender 2014-01-02 10:39:55 UTC
The documentation for a module have to stay on the page which is defined with message 'scribunto-doc-page-name'.

En.wp has set that to /doc, while ml.wp has a translated word there. A import does not change the name of a page, therefor the import does not work, because the content model is mixed.

Try import to to another namespace or as user sub page (set destination root page to User:Jacob.jose) and move the page after import to the correct name along to 'scribunto-doc-page-name' on ml.wp.
Comment 4 Derk-Jan Hartman 2014-01-02 11:14:15 UTC
Perhaps we should add an option to the import form, to rename a page when this error occurs ?
Comment 5 Umherirrender 2014-01-02 11:25:51 UTC
(In reply to comment #4)
> Perhaps we should add an option to the import form, to rename a page when
> this
error occurs ?

Imports can also contains more than one page (for example when importing templates) this can be difficult when you can change the name of the page, see bug 6808 (in special bug 6808 comment 9).
Comment 6 Jacob 2014-01-03 21:05:34 UTC
I suggest you add an option to either:
1. rename or 
2. forcefully use source wiki name or
3. skip the specific template only (not stop import process altogether) when "include all templates" option is chosen. 

If not, the import process with multiple templates breaks once it hits a doc template and errors eventually pop up due to incomplete import of required modules..
Comment 7 This, that and the other (TTO) 2014-01-06 04:34:18 UTC
(In reply to comment #2)
> [Moving to "Wikimedia" product as this request is about settings /
> configuration of the website, not about the codebase of MediaWiki itself.]

This seems like a bug in MediaWiki's import system. 

Ideally, you would be warned when importing a page with the wrong content type. You would get an option to either proceed with the import (implicitly converting the content type perhaps? this may be needed if the source wiki is misconfigured?), or else to enter a new destination title for the page with the wrong content type, so it gets imported to a place where it is allowed.
Comment 8 Jacob 2014-08-15 05:00:43 UTC
Could this be fixed? It has been around 7 months and the problem still exists. eg: Try importing Module:Location map/doc to ml.wiki and you will get "ഇറക്കുമതി പരാജയപ്പെട്ടു: Can't save non-default content model with $wgContentHandlerUseDB disabled: model is wikitext, default for ഘടകം:Location_map/data/USA/doc is Scribunto". Now that most templates have moved to modules, this bug is creating a lot of problems in ml.wiki !
Comment 9 Andre Klapper 2014-08-15 11:54:29 UTC
[reverting last priority change, as nothing has happened that would suddenly make this a higher priority.]

> Could this be fixed?

In theory most bugs could be fixed, but somebody needs to write the code. See https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker for information. Might make sense for any contributor to concentrate on fixing bug 45750 first.
Comment 10 Jacob 2014-08-16 04:43:46 UTC
The reason why it is high priority now:
1. More en.wiki templates now use Lua and ml.wiki relies on en.wiki templates to translate them and use in ml.wiki as new articles are created
2. As newer templates are imported to ml.wiki, it has started affecting the user experience and lot of users are complaining.. eg: https://ml.wikipedia.org/wiki/%E0%B4%B5%E0%B4%BF%E0%B4%95%E0%B5%8D%E0%B4%95%E0%B4%BF%E0%B4%AA%E0%B5%80%E0%B4%A1%E0%B4%BF%E0%B4%AF:%E0%B4%AA%E0%B4%9E%E0%B5%8D%E0%B4%9A%E0%B4%BE%E0%B4%AF%E0%B4%A4%E0%B5%8D%E0%B4%A4%E0%B5%8D_(%E0%B4%B8%E0%B4%BE%E0%B4%99%E0%B5%8D%E0%B4%95%E0%B5%87%E0%B4%A4%E0%B4%BF%E0%B4%95%E0%B4%82)#.E0.B4.B8.E0.B5.8D.E0.B4.95.E0.B5.8D.E0.B4.B0.E0.B4.BF.E0.B4.AA.E0.B5.8D.E0.B4.B1.E0.B5.8D.E0.B4.B1.E0.B5.8D_.E0.B4.AA.E0.B4.BF.E0.B4.B4.E0.B4.B5.E0.B5.8D
3. The wiki is at crossroads on whether to stop importing further templates until this bug is fixed or continue to merge the new changes in templates and hamper the  user experience even further

Due to above, may I request to change the priority to high?
Comment 11 Jacob 2014-08-18 14:55:24 UTC
The immediate high priority issue has been resolved and involved lack of namespace conversion in Module:Location map. So let's keep the priority normal.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links